org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class AnyDocumentImpl.AnyImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.WildcardImpl
          - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnyDocumentImpl.AnyImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, AnyDocument.Any, OpenAttrs, Wildcard, SimpleValue, XmlObject, XmlTokenSource
  Enclosing class:
    AnyDocumentImpl

      public static class AnyDocumentImpl.AnyImpl
      extends WildcardImpl
      implements AnyDocument.Any

  An XML any(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.WildcardImpl

      `WildcardImpl.ProcessContentsImpl`

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Wildcard

      `Wildcard.ProcessContents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.AnyDocument.Any

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnyImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getMaxOccurs()` Gets the "maxOccurs" attribute
    `BigInteger` | `getMinOccurs()` Gets the "minOccurs" attribute
    `boolean` | `isSetMaxOccurs()` True if has "maxOccurs" attribute
    `boolean` | `isSetMinOccurs()` True if has "minOccurs" attribute
    `void` | `setMaxOccurs(Object maxOccurs)` Sets the "maxOccurs" attribute
    `void` | `setMinOccurs(BigInteger minOccurs)` Sets the "minOccurs" attribute
    `void` | `unsetMaxOccurs()` Unsets the "maxOccurs" attribute
    `void` | `unsetMinOccurs()` Unsets the "minOccurs" attribute
    `AllNNI` | `xgetMaxOccurs()` Gets (as xml) the "maxOccurs" attribute
    `XmlNonNegativeInteger` | `xgetMinOccurs()` Gets (as xml) the "minOccurs" attribute
    `void` | `xsetMaxOccurs(AllNNI maxOccurs)` Sets (as xml) the "maxOccurs" attribute
    `void` | `xsetMinOccurs(XmlNonNegativeInteger minOccurs)` Sets (as xml) the "minOccurs" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.WildcardImpl

      `getNamespace, getProcessContents, isSetNamespace, isSetProcessContents, setNamespace, setProcessContents, unsetNamespace, unsetProcessContents, xgetNamespace, xgetProcessContents, xsetNamespace, xsetProcessContents`

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Wildcard

      `getNamespace, getProcessContents, isSetNamespace, isSetProcessContents, setNamespace, setProcessContents, unsetNamespace, unsetProcessContents, xgetNamespace, xgetProcessContents, xsetNamespace, xsetProcessContents`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### AnyImpl

          public AnyImpl(SchemaType sType)

  - ### Method Detail

    - #### getMinOccurs

          public BigInteger getMinOccurs()

      Gets the "minOccurs" attribute
      Specified by:
        `getMinOccurs` in interface `AnyDocument.Any`

    - #### xgetMinOccurs

          public XmlNonNegativeInteger xgetMinOccurs()

      Gets (as xml) the "minOccurs" attribute
      Specified by:
        `xgetMinOccurs` in interface `AnyDocument.Any`

    - #### isSetMinOccurs

          public boolean isSetMinOccurs()

      True if has "minOccurs" attribute
      Specified by:
        `isSetMinOccurs` in interface `AnyDocument.Any`

    - #### setMinOccurs

          public void setMinOccurs(BigInteger minOccurs)

      Sets the "minOccurs" attribute
      Specified by:
        `setMinOccurs` in interface `AnyDocument.Any`

    - #### xsetMinOccurs

          public void xsetMinOccurs(XmlNonNegativeInteger minOccurs)

      Sets (as xml) the "minOccurs" attribute
      Specified by:
        `xsetMinOccurs` in interface `AnyDocument.Any`

    - #### unsetMinOccurs

          public void unsetMinOccurs()

      Unsets the "minOccurs" attribute
      Specified by:
        `unsetMinOccurs` in interface `AnyDocument.Any`

    - #### getMaxOccurs

          public Object getMaxOccurs()

      Gets the "maxOccurs" attribute
      Specified by:
        `getMaxOccurs` in interface `AnyDocument.Any`

    - #### xgetMaxOccurs

          public AllNNI xgetMaxOccurs()

      Gets (as xml) the "maxOccurs" attribute
      Specified by:
        `xgetMaxOccurs` in interface `AnyDocument.Any`

    - #### isSetMaxOccurs

          public boolean isSetMaxOccurs()

      True if has "maxOccurs" attribute
      Specified by:
        `isSetMaxOccurs` in interface `AnyDocument.Any`

    - #### setMaxOccurs

          public void setMaxOccurs(Object maxOccurs)

      Sets the "maxOccurs" attribute
      Specified by:
        `setMaxOccurs` in interface `AnyDocument.Any`

    - #### xsetMaxOccurs

          public void xsetMaxOccurs(AllNNI maxOccurs)

      Sets (as xml) the "maxOccurs" attribute
      Specified by:
        `xsetMaxOccurs` in interface `AnyDocument.Any`

    - #### unsetMaxOccurs

          public void unsetMaxOccurs()

      Unsets the "maxOccurs" attribute
      Specified by:
        `unsetMaxOccurs` in interface `AnyDocument.Any`